Skip to content

Run an Image to Video task.

Request

This endpoint initiates the image to video conversion process. You must provide a template ID and source file (via URL or File ID). The task will be processed asynchronously, and you can check its status using the task_id returned in this response.

Security
BearerAuthenticationV2
Bodyapplication/jsonrequired
Any of:
template_idstringrequired

ID of the template. List predefined templates first, and use the id of a template.

Example:"good_template_001"
dst_durationintegerrequired

The length of video in seconds. Only accept 5 or 10 seconds

Enum:510
modestring

The quailty mode. Standard (std) mode is faster speed, OK quailty. Professional (pro) mode is best quailty with richer details. Automatically select best mode by style if not provide.

Enum:"std""pro"
src_file_urlstringrequired

Url of the file to run task. The url should be publicly accessible.

Example:"https://example.com/selfie.jpg"
POST
/s2s/v2.0/task/image-to-video
curl -i -X POST \
  https://yce-api-01.makeupar.com/s2s/v2.0/task/image-to-video \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "template_id": "good_template_001",
    "src_file_url": "https://example.com/selfie.jpg",
    "dst_duration": 5,
    "mode": "std"
  }'

Responses

Successful execution of the task

Bodyapplication/json
statusinteger

Response status

Example:200
dataobject
Response
{ "status": 200, "data": { "task_id": "grH0CvsgXuAIHLUzD0V1Ol34hoet3R1tvdbtiVHrDb6_UqCLKIejAIajwxrhOAfe" } }